/* Ovládání sedmisegmentového displeje
 * led_disp.h
 *
 * Created:	1.2.2014 20:00:00
 * Author:	David Müller 
 */ 

#include "../_common/common.h"

#ifndef LED_DISP_H_
#define LED_DISP_H_

// spec.znaky
#define SYMBOL_empty	0b00000000
#define SYMBOL_test		0b11111111
#define SYMBOL_dash		0b00001000
#define SYMBOL_S		0b01011011
#define SYMBOL_E		0b01011110
#define SYMBOL_t		0b00011110
#define SYMBOL_DP		0b00100000
#define SYMBOL_MINUS	0b00100000

// inicializace displeje
extern void disp_init(const uint8_t brightness);
// nastavení (změna) jasu displeje
extern void disp_brightness(const uint8_t brightness);
// zobrazení obecné
extern void disp_print(const uint8_t text[static 3]);
// Zobrazení hodnoty v deci jednotkách
extern void disp_10(int16_t temp);
// zhasnutí displeje
extern void disp_off(const bool_t dotPoint);
// nastavení blikání displeje
extern void disp_blink(const bool_t blink);
// Zobrazení kódu stavu/chyby "E n"  
extern void disp_err(const uint8_t bcd);
// obsluha časování (multiplex + blikání) - voláno z hl. programu každých 100us
extern void disp_tick(void);

#endif /* LED_DISP_H_ */